Loading...
Searching...
No Matches
wimlib_object_id Struct Reference
Retrieving WIM information and directory listings

Since wimlib v1.9.1: an object ID, which is an extra piece of metadata that may be associated with a file on NTFS filesystems. More...

`#include <wimlib.h>`

## Data Fields

uint8_t | object_id [WIMLIB_GUID_LEN]
uint8_t | birth_volume_id [WIMLIB_GUID_LEN]
uint8_t | birth_object_id [WIMLIB_GUID_LEN]
uint8_t | domain_id [WIMLIB_GUID_LEN]

## Detailed Description

Since wimlib v1.9.1: an object ID, which is an extra piece of metadata that may be associated with a file on NTFS filesystems.

See: https://msdn.microsoft.com/en-us/library/windows/desktop/aa363997(v=vs.85).aspx

## Field Documentation

## object_id

uint8_t wimlib_object_id::object_id[WIMLIB_GUID_LEN]

## birth_volume_id

uint8_t wimlib_object_id::birth_volume_id[WIMLIB_GUID_LEN]

## birth_object_id

uint8_t wimlib_object_id::birth_object_id[WIMLIB_GUID_LEN]

## domain_id

uint8_t wimlib_object_id::domain_id[WIMLIB_GUID_LEN]

The documentation for this struct was generated from the following file:

- wimlib.h